import request from '@/utils/request'

// 查询宠物信息列表
export function listAppletPet(query) {
  return request({
    url: '/model/AppletPet/list',
    method: 'get',
    params: query
  })
}

// 查询宠物信息详细
export function getAppletPet(id) {
  return request({
    url: '/model/AppletPet/' + id,
    method: 'get'
  })
}

// 新增宠物信息
export function addAppletPet(data) {
  return request({
    url: '/model/AppletPet',
    method: 'post',
    data: data
  })
}

// 修改宠物信息
export function updateAppletPet(data) {
  return request({
    url: '/model/AppletPet',
    method: 'put',
    data: data
  })
}

// 删除宠物信息
export function delAppletPet(id) {
  return request({
    url: '/model/AppletPet/' + id,
    method: 'delete'
  })
}
